.. AUTO-GENERATED FILE. DO NOT EDIT. /fuel-pump-inventories-gas-stations-patch-one ============================================= Summary ------- - **Source repository:** ``jef-systems/jef-fuel-pump-inventories-backend`` - **Source SHA:** ``06a517c1413d99627ecd462c7e29779b2dfd2412`` - **Source run id:** ``25888946091`` - **Lambda function:** ``jef-fuel-pump-inventories-gas-stations-patch-one`` - **HTTP method:** ``PATCH`` - **API path:** ``/fuel-pump-inventories-gas-stations-patch-one`` - **Endpoint URL:** ``https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-fuel-pump-inventories-gas-stations-patch-one - ``Module``: jef-fuel-pump-inventories - ``Action``: patch-one - ``Method``: PATCH - ``Invocation Mode``: ASYNC - ``Resource Path``: /fuel-pump-inventories-gas-stations-patch-one - ``Table``: jef-fuel-pump-inventories-gas-stations - ``Primary Key``: gas\_station\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``gas\_station\_id``: bca67f9d-d33a-4b86-9129-908895584666 - ``station\_name``: Value 001 - ``address``: Value 001 - ``children.pumps\[0\].pump\_id``: 1b57c133-526c-4a19-871d-883455fe5027 - ``children.pumps\[0\].gas\_station\_id``: bca67f9d-d33a-4b86-9129-908895584666 - ``children.pumps\[0\].pump\_label``: Value 001 - ``children.pumps\[0\].product``: Value 001 - ``children.pumps\[0\].price\_per\_liter``: 1 - ``children.pumps\[0\].display\_order``: 1 - ``children.pumps\[0\].is\_active``: True - ``children.pumps\[0\].created\_at``: 2026-05-14T22:13:56Z - ``children.pumps\[0\].updated\_at``: 2026-05-14T22:13:56Z Payload Schema -------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.gas_station_id.type": "S", "root.attributes.gas_station_id.required": "True", "root.attributes.gas_station_id.format": "uuidv4", "root.attributes.gas_station_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.station_name.type": "S", "root.attributes.station_name.required": "False", "root.attributes.station_name.regex": "^[A-Za-z0-9 ._-]{1,100}$", "root.attributes.address.type": "S", "root.attributes.address.required": "False", "root.attributes.address.regex": "^.{1,300}$", "root.attributes.children.type": "M", "root.attributes.children.required": "False", "root.attributes.children.attributes.pumps.type": "L", "root.attributes.children.attributes.pumps.required": "False", "root.attributes.children.attributes.pumps.items.type": "M", "root.attributes.children.attributes.pumps.items.attributes.pump_id.type": "S", "root.attributes.children.attributes.pumps.items.attributes.pump_id.required": "True", "root.attributes.children.attributes.pumps.items.attributes.pump_id.format": "uuidv4", "root.attributes.children.attributes.pumps.items.attributes.pump_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.children.attributes.pumps.items.attributes.gas_station_id.type": "S", "root.attributes.children.attributes.pumps.items.attributes.gas_station_id.required": "False", "root.attributes.children.attributes.pumps.items.attributes.gas_station_id.format": "uuidv4", "root.attributes.children.attributes.pumps.items.attributes.gas_station_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.children.attributes.pumps.items.attributes.pump_label.type": "S", "root.attributes.children.attributes.pumps.items.attributes.pump_label.required": "False", "root.attributes.children.attributes.pumps.items.attributes.pump_label.regex": "^[A-Za-z0-9 ._-]{1,80}$", "root.attributes.children.attributes.pumps.items.attributes.product.type": "S", "root.attributes.children.attributes.pumps.items.attributes.product.required": "False", "root.attributes.children.attributes.pumps.items.attributes.product.regex": "^[A-Za-z0-9 ._-]{1,80}$", "root.attributes.children.attributes.pumps.items.attributes.price_per_liter.type": "N", "root.attributes.children.attributes.pumps.items.attributes.price_per_liter.required": "False", "root.attributes.children.attributes.pumps.items.attributes.price_per_liter.regex": "^-?\\d+(\\.\\d+)?$", "root.attributes.children.attributes.pumps.items.attributes.display_order.type": "N", "root.attributes.children.attributes.pumps.items.attributes.display_order.required": "False", "root.attributes.children.attributes.pumps.items.attributes.display_order.regex": "^\\d+$", "root.attributes.children.attributes.pumps.items.attributes.is_active.type": "BOOL", "root.attributes.children.attributes.pumps.items.attributes.is_active.required": "False", "root.attributes.children.attributes.pumps.items.attributes.is_active.regex": "^(true|false)$", "root.attributes.children.attributes.pumps.items.attributes.created_at.type": "S", "root.attributes.children.attributes.pumps.items.attributes.created_at.required": "False", "root.attributes.children.attributes.pumps.items.attributes.created_at.format": "iso8601", "root.attributes.children.attributes.pumps.items.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.children.attributes.pumps.items.attributes.updated_at.type": "S", "root.attributes.children.attributes.pumps.items.attributes.updated_at.required": "False", "root.attributes.children.attributes.pumps.items.attributes.updated_at.format": "iso8601", "root.attributes.children.attributes.pumps.items.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$" } Response Schema --------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } Request Payload --------------- .. code-block:: json { "gas_station_id": "bca67f9d-d33a-4b86-9129-908895584666", "station_name": "Value 001", "address": "Value 001", "children.pumps[0].pump_id": "1b57c133-526c-4a19-871d-883455fe5027", "children.pumps[0].gas_station_id": "bca67f9d-d33a-4b86-9129-908895584666", "children.pumps[0].pump_label": "Value 001", "children.pumps[0].product": "Value 001", "children.pumps[0].price_per_liter": "1", "children.pumps[0].display_order": "1", "children.pumps[0].is_active": "True", "children.pumps[0].created_at": "2026-05-14T22:13:56Z", "children.pumps[0].updated_at": "2026-05-14T22:13:56Z" } Response -------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } CMD curl -------- .. code-block:: bat curl -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one" -H "Content-Type: application/json" --data-raw "{\"gas_station_id\": \"bca67f9d-d33a-4b86-9129-908895584666\", \"station_name\": \"Value 001\", \"address\": \"Value 001\", \"children\": {\"pumps\": [{\"pump_id\": \"1b57c133-526c-4a19-871d-883455fe5027\", \"gas_station_id\": \"bca67f9d-d33a-4b86-9129-908895584666\", \"pump_label\": \"Value 001\", \"product\": \"Value 001\", \"price_per_liter\": 1, \"display_order\": 1, \"is_active\": true, \"created_at\": \"2026-05-14T22:13:56Z\", \"updated_at\": \"2026-05-14T22:13:56Z\"}]}}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one" -H "Content-Type: application/json" --data-raw '{"gas_station_id": "bca67f9d-d33a-4b86-9129-908895584666", "station_name": "Value 001", "address": "Value 001", "children": {"pumps": [{"pump_id": "1b57c133-526c-4a19-871d-883455fe5027", "gas_station_id": "bca67f9d-d33a-4b86-9129-908895584666", "pump_label": "Value 001", "product": "Value 001", "price_per_liter": 1, "display_order": 1, "is_active": true, "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z"}]}}'